<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Exception;

use DomainException;

final class ExceptionNonNecessaireException extends DomainException
{
    public static function carReglesNonBloquantes(): self
    {
        return new self('Impossible de demander une exception : les règles ne bloquent pas ce devoir.');
    }
}
